<!DOCTYPE html><html lang="zh-CN" data-theme="light"><head><meta charset="UTF-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width,initial-scale=1"><title>Nexus私有仓库 | SeMaik</title><meta name="author" content="ZuSir"><meta name="copyright" content="ZuSir"><meta name="format-detection" content="telephone=no"><meta name="theme-color" content="#ffffff"><meta name="description" content="Nexus介绍Nexus是Maven仓库管理器,如果你使用Maven .你可以Maven中央仓库下载所需要的构件(atact)，但这通常不是一个好的做法 ,你应该在本地架设一个Maven仓库服务器 在代理远程仓库的同时维护本地仓库 ，以节省带宽和时间, Nexus就可以满足这样的需要。此外，他还提供了强大的仓库管理功能，构件搜索功能，它基于REST ,友好的U是个extjs的REST客户端， 它占">
<meta property="og:type" content="article">
<meta property="og:title" content="Nexus私有仓库">
<meta property="og:url" content="http://example.com/2021/02/23/Nexus/index.html">
<meta property="og:site_name" content="SeMaik">
<meta property="og:description" content="Nexus介绍Nexus是Maven仓库管理器,如果你使用Maven .你可以Maven中央仓库下载所需要的构件(atact)，但这通常不是一个好的做法 ,你应该在本地架设一个Maven仓库服务器 在代理远程仓库的同时维护本地仓库 ，以节省带宽和时间, Nexus就可以满足这样的需要。此外，他还提供了强大的仓库管理功能，构件搜索功能，它基于REST ,友好的U是个extjs的REST客户端， 它占">
<meta property="og:locale" content="zh_CN">
<meta property="og:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg">
<meta property="article:published_time" content="2021-02-23T08:45:00.000Z">
<meta property="article:modified_time" content="2021-02-24T01:36:02.000Z">
<meta property="article:author" content="ZuSir">
<meta name="twitter:card" content="summary">
<meta name="twitter:image" content="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg"><link rel="shortcut icon" href="https://myit.icu/favicon.ico"><link rel="canonical" href="http://example.com/2021/02/23/Nexus/"><link rel="preconnect" href="//cdn.jsdelivr.net"/><link rel="preconnect" href="//busuanzi.ibruce.info"/><link rel="stylesheet" href="/css/index.css"><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free/css/all.min.css" media="print" onload="this.media='all'"><script>const GLOBAL_CONFIG = { 
  root: '/',
  algolia: undefined,
  localSearch: undefined,
  translate: undefined,
  noticeOutdate: undefined,
  highlight: {"plugin":"highlighjs","highlightCopy":true,"highlightLang":true},
  copy: {
    success: '复制成功',
    error: '复制错误',
    noSupport: '浏览器不支持'
  },
  relativeDate: {
    homepage: true,
    post: false
  },
  runtime: '',
  date_suffix: {
    just: '刚刚',
    min: '分钟前',
    hour: '小时前',
    day: '天前',
    month: '个月前'
  },
  copyright: undefined,
  lightbox: 'fancybox',
  Snackbar: undefined,
  source: {
    jQuery: 'https://cdn.jsdelivr.net/npm/jquery@latest/dist/jquery.min.js',
    justifiedGallery: {
      js: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/js/jquery.justifiedGallery.min.js',
      css: 'https://cdn.jsdelivr.net/npm/justifiedGallery/dist/css/justifiedGallery.min.css'
    },
    fancybox: {
      js: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.js',
      css: 'https://cdn.jsdelivr.net/npm/@fancyapps/fancybox@latest/dist/jquery.fancybox.min.css'
    }
  },
  isPhotoFigcaption: false,
  islazyload: false,
  isanchor: false
}</script><script id="config-diff">var GLOBAL_CONFIG_SITE = { 
  isPost: true,
  isHome: false,
  isHighlightShrink: undefined,
  isToc: true,
  postUpdate: '2021-02-24 09:36:02'
}</script><noscript><style type="text/css">
  #nav {
    opacity: 1
  }
  .justified-gallery img {
    opacity: 1
  }

  #recent-posts time,
  #post-meta time {
    display: inline !important
  }
</style></noscript><script>(win=>{
    win.saveToLocal = {
      set: function setWithExpiry(key, value, ttl) {
        if (ttl === 0) return
        const now = new Date()
        const expiryDay = ttl * 86400000
        const item = {
          value: value,
          expiry: now.getTime() + expiryDay,
        }
        localStorage.setItem(key, JSON.stringify(item))
      },

      get: function getWithExpiry(key) {
        const itemStr = localStorage.getItem(key)

        if (!itemStr) {
          return undefined
        }
        const item = JSON.parse(itemStr)
        const now = new Date()

        if (now.getTime() > item.expiry) {
          localStorage.removeItem(key)
          return undefined
        }
        return item.value
      }
    }
  
    win.getScript = url => new Promise((resolve, reject) => {
      const script = document.createElement('script')
      script.src = url
      script.async = true
      script.onerror = reject
      script.onload = script.onreadystatechange = function() {
        const loadState = this.readyState
        if (loadState && loadState !== 'loaded' && loadState !== 'complete') return
        script.onload = script.onreadystatechange = null
        resolve()
      }
      document.head.appendChild(script)
    })
  
      const asideStatus = saveToLocal.get('aside-status')
      if (asideStatus !== undefined) {
        if (asideStatus === 'hide') {
          document.documentElement.classList.add('hide-aside')
        } else {
          document.documentElement.classList.remove('hide-aside')
        }
      }
    })(window)</script><link href="/css/style.css"><meta name="generator" content="Hexo 5.3.0"><link rel="alternate" href="/atom.xml" title="SeMaik" type="application/atom+xml">
</head><body><div id="web_bg"></div><div id="sidebar"><div id="menu-mask"></div><div id="sidebar-menus"><div class="author-avatar"><img class="avatar-img" src="/img/123.jpeg" onerror="onerror=null;src='/img/123.jpeg'" alt="avatar"/></div><div class="site-data"><div class="data-item is-center"><div class="data-item-link"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div></div><div class="data-item is-center"><div class="data-item-link"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><hr/><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div></div></div><div class="post" id="body-wrap"><header class="post-bg" id="page-header" style="background-image: url('https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg')"><nav id="nav"><span id="blog_name"><a id="site-name" href="/">SeMaik</a></span><div id="menus"><div class="menus_items"><div class="menus_item"><a class="site-page" href="/"><i class="fa-fw fas fa-home"></i><span> 首页</span></a></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Linux</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Linux/"><span> Linux</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> WEB</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Apache/"><span> Apache</span></a></li><li><a class="site-page" href="/categories/Nginx/"><span> Nginx</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 存储</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ceph/"><span> Ceph</span></a></li><li><a class="site-page" href="/categories/NFS/"><span> NFS</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 日志</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Loki"><span> Loki</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 编程</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Shell"><span> Shell</span></a></li><li><a class="site-page" href="/categories/Python"><span> Python</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 高可用</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/KeepAlived/"><span> KeepAlived</span></a></li><li><a class="site-page" href="/categories/LVS/"><span> LVS</span></a></li><li><a class="site-page" href="/categories/Squid/"><span> Squid</span></a></li><li><a class="site-page" href="/categories/Haproxy/"><span> Haproxy</span></a></li><li><a class="site-page" href="/categories/Rsync/"><span> Rsync</span></a></li><li><a class="site-page" href="/categories/Memcache/"><span> Memcache</span></a></li><li><a class="site-page" href="/categories/Varnish/"><span> Varnish</span></a></li><li><a class="site-page" href="/categories/GRedis/"><span> Redis</span></a></li><li><a class="site-page" href="/categories/Rabbit/"><span> RabbitMQ</span></a></li><li><a class="site-page" href="/categories/Kafka/"><span> Kafka</span></a></li><li><a class="site-page" href="/categories/MHA/"><span> MHA</span></a></li><li><a class="site-page" href="/categories/PXC/"><span> PXC</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 虚拟化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Docker/"><span> Docker</span></a></li><li><a class="site-page" href="/categories/Kubernetes/"><span> Kubernetes</span></a></li><li><a class="site-page" href="/categories/OpenStack/"><span> OpenStack</span></a></li><li><a class="site-page" href="/categories/KVM/"><span> KVM</span></a></li><li><a class="site-page" href="/categories/Containerd"><span> Containerd</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> Hexo</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Hexo/"><span> Hexo</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 数据库</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/MySQL/"><span> MySQL</span></a></li><li><a class="site-page" href="/categories/Readis/"><span> Readis</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 微服务</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Tomcat/"><span> Tomcat</span></a></li><li><a class="site-page" href="/categories/Git/"><span> Git</span></a></li><li><a class="site-page" href="/categories/Maven/"><span> Maven</span></a></li><li><a class="site-page" href="/categories/Nexus/"><span> Nexus</span></a></li><li><a class="site-page" href="/categories/Jenkins/"><span> Jenkins</span></a></li><li><a class="site-page" href="/categories/Spring/"><span> Spring</span></a></li><li><a class="site-page" href="/categories/Consul/"><span> Consul</span></a></li><li><a class="site-page" href="/categories/Harbor/"><span> Harbor</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="javascript:void(0);"><i class="fa-fw /categories/"></i><span> 自动化</span><i class="fas fa-chevron-down expand"></i></a><ul class="menus_item_child"><li><a class="site-page" href="/categories/Ansible/"><span> Ansible</span></a></li><li><a class="site-page" href="/categories/Pssh/"><span> Pssh</span></a></li></ul></div><div class="menus_item"><a class="site-page" href="/link/"><i class="fa-fw fas fa-link"></i><span> 友链</span></a></div><div class="menus_item"><a class="site-page" href="/about/"><i class="fa-fw fas fa-heart"></i><span> 关于</span></a></div></div><div id="toggle-menu"><a class="site-page"><i class="fas fa-bars fa-fw"></i></a></div></div></nav><div id="post-info"><h1 class="post-title">Nexus私有仓库</h1><div id="post-meta"><div class="meta-firstline"><span class="post-meta-date"><i class="far fa-calendar-alt fa-fw post-meta-icon"></i><span class="post-meta-label">发表于</span><time class="post-meta-date-created" datetime="2021-02-23T08:45:00.000Z" title="发表于 2021-02-23 16:45:00">2021-02-23</time><span class="post-meta-separator">|</span><i class="fas fa-history fa-fw post-meta-icon"></i><span class="post-meta-label">更新于</span><time class="post-meta-date-updated" datetime="2021-02-24T01:36:02.000Z" title="更新于 2021-02-24 09:36:02">2021-02-24</time></span><span class="post-meta-categories"><span class="post-meta-separator">|</span><i class="fas fa-inbox fa-fw post-meta-icon"></i><a class="post-meta-categories" href="/categories/Nexus/">Nexus</a></span></div><div class="meta-secondline"><span class="post-meta-separator">|</span><span class="post-meta-pv-cv"><i class="far fa-eye fa-fw post-meta-icon"></i><span class="post-meta-label">阅读量:</span><span id="busuanzi_value_page_pv"></span></span></div></div></div></header><main class="layout" id="content-inner"><div id="post"><article class="post-content" id="article-container"><h2 id="Nexus介绍"><a href="#Nexus介绍" class="headerlink" title="Nexus介绍"></a>Nexus介绍</h2><p>Nexus是Maven仓库管理器,如果你使用Maven .你可以Maven中央仓库下载所需要的构件(atact)，但这通常不是一个好的做法 ,你应该在本地架设一个Maven仓库服务器 在代理远程仓库的同时维护本地仓库 ，以节省带宽和时间, Nexus就可以满足这样的需要。此外，他还提供了强大的仓库管理功能，构件搜索功能，它基于REST ,友好的U是个extjs的REST客户端， 它占用较少的内存,基于简单文件系统而非数据库。这些优点使其日趋成为最流行的Maven仓库管理器。<br>Nexus不是Maven的核心概念,它仅仅是一种衍生出来的特殊的Maven仓库。 对于Maven来说,仓库只有两种:本地仓库和远程仓库。<br>本地仓库就是我们在maven的setting.xml中配置的本地仓库地址。由于最原始的本地仓库是空的, Maven必须知道至少个可用的远程仓库,才能在执行Maven命令的时候下载到需要的构件。中央仓库是maven默认的远程仓库。<br>私服是架设在局域网的种特殊的远程仓库，目的是代理远程仓库及部署第三方构件。有了私服之后.当Maven需要下载构件时,直接请求私服,私服上存在则下载到本地仓库;否则,私服请求外部的远程仓库.将构件下载到私服,再提供给本地仓库下载。</p>
<h2 id="功能介绍"><a href="#功能介绍" class="headerlink" title="功能介绍"></a>功能介绍</h2><p>1.节省外网带宽。大量对于外部仓库的重复请求会消耗带宽,利用私服代理外部仓库,可以消除对外的重复构<br>件下载,降低带宽的压力。<br>2.加速Maven构建。加速Maven构建。不停地连接请求外部仓库+分的耗时, Maven在执行构建的时候不停地检查远程仓库的数据。利用私服, Maven只检查局域网的数据,提高构建的速度。<br>3.部署第三方构件。部署第三方构件。当某个构件无法从任何一个外部远程仓库获得。建立私服之后,便可以将这些构件部署到私服,供内部的Maven项目使用。<br>4.提高稳定性,增强控制。提高稳定性,增强控制。Maven构建高度依赖于远程仓库,因此,当网络不稳定的<br>时候, Maven构建也会变得不稳定,甚至无法构建。私服缓存了大量构建,即使暂时没有网络, Maven也可以正常的运行。<br>5.降低中央仓库的负荷。降低中央仓库的负荷。使用私服可以避免很多对中央仓库的重复下载，降低中央仓库的压力。</p>
<h2 id="仓库类型说明默认仓库分类"><a href="#仓库类型说明默认仓库分类" class="headerlink" title="仓库类型说明默认仓库分类"></a>仓库类型说明默认仓库分类</h2><p>group (仓库组类型) :又叫组仓库，用于方便开发人员,自己设定的仓库<br>hosted (宿主类型) :内部项目的发布仓库(内部开发人员发布上去存放的仓库)<br>proxy(代理类型) :从远程中央仓库中寻找数据的仓库(可以点击对应的仓库的Configuration页签下Remote Storage Location属性的值,即被代理的远程仓库的路径)<br>viual (虚拟类型) :虚拟仓库(这个基本上用不到)</p>
<h2 id="使用私有仓库的优点"><a href="#使用私有仓库的优点" class="headerlink" title="使用私有仓库的优点"></a>使用私有仓库的优点</h2><p>1）节省带宽<br>2）提高maven构建项目的速度<br>3）可以用来存储公司内部开发的依赖包和插件</p>
<h1 id="服务器信息"><a href="#服务器信息" class="headerlink" title="服务器信息"></a>服务器信息</h1><table>
<thead>
<tr>
<th align="center">IP</th>
<th align="center">角色</th>
</tr>
</thead>
<tbody><tr>
<td align="center">172.16.1.12</td>
<td align="center">Nexus</td>
</tr>
<tr>
<td align="center">172.16.1.13</td>
<td align="center">Maven</td>
</tr>
</tbody></table>
<h2 id="部署JDK"><a href="#部署JDK" class="headerlink" title="部署JDK"></a>部署JDK</h2><h3 id="解压软件包"><a href="#解压软件包" class="headerlink" title="解压软件包"></a>解压软件包</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">tar zxf jdk-8u201-linux-x64.tar.gz</span><br><span class="line">mv &#x2F;root&#x2F;jdk1.8.0_201&#x2F; &#x2F;usr&#x2F;local&#x2F;java</span><br></pre></td></tr></table></figure>
<h3 id="配置环境变量"><a href="#配置环境变量" class="headerlink" title="配置环境变量"></a>配置环境变量</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line">vi &#x2F;etc&#x2F;profile</span><br><span class="line">export JAVA_HOME&#x3D;&#x2F;usr&#x2F;local&#x2F;java</span><br><span class="line">export JRE_HOME&#x3D;&#x2F;usr&#x2F;local&#x2F;java&#x2F;jre</span><br><span class="line">export CLASS_PATH&#x3D;$JAVA_HOME&#x2F;lib&#x2F;dt.jar:$JAVA_HOME&#x2F;lib&#x2F;tools.jar</span><br><span class="line">export PATH&#x3D;$JAVA_HOME&#x2F;bin:$JRE_HOME&#x2F;bin:$PATH</span><br></pre></td></tr></table></figure>
<h3 id="加载环境变量"><a href="#加载环境变量" class="headerlink" title="加载环境变量"></a>加载环境变量</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">source &#x2F;etc&#x2F;profile</span><br></pre></td></tr></table></figure>
<h2 id="部署Nexus"><a href="#部署Nexus" class="headerlink" title="部署Nexus"></a>部署Nexus</h2><h3 id="解压软件包-1"><a href="#解压软件包-1" class="headerlink" title="解压软件包"></a>解压软件包</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">tar zxf nexus-3.14.0-04-unix.tar.gz</span><br><span class="line">mv nexus-3.14.0-04 &#x2F;usr&#x2F;local&#x2F;nexus</span><br><span class="line">mv &#x2F;root&#x2F;sonatype-work&#x2F; &#x2F;usr&#x2F;local&#x2F;nexus</span><br></pre></td></tr></table></figure>
<h3 id="配置文件"><a href="#配置文件" class="headerlink" title="配置文件"></a>配置文件</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br></pre></td><td class="code"><pre><span class="line">vi &#x2F;usr&#x2F;local&#x2F;nexus&#x2F;etc&#x2F;nexus-default.properties</span><br><span class="line">application-port&#x3D;8081</span><br><span class="line">application-host&#x3D;0.0.0.0</span><br><span class="line">nexus-args&#x3D;$&#123;jetty.etc&#125;&#x2F;jetty.xml,$&#123;jetty.etc&#125;&#x2F;jetty-http.xml,$&#123;jetty.etc&#125;&#x2F;jetty-requestlog.xml</span><br><span class="line">nexus-context-path&#x3D;&#x2F;</span><br></pre></td></tr></table></figure>
<h3 id="启动服务"><a href="#启动服务" class="headerlink" title="启动服务"></a>启动服务</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br></pre></td><td class="code"><pre><span class="line">ln &#x2F;usr&#x2F;local&#x2F;nexus&#x2F;bin&#x2F;nexus &#x2F;usr&#x2F;sbin&#x2F;nexus</span><br><span class="line">nexus start</span><br><span class="line">netstat -lnpt | grep 8081</span><br></pre></td></tr></table></figure>
<blockquote>
<p>端口起来的比较慢，耐心等待</p>
</blockquote>
<blockquote>
<p>访问<code>172.16.1.12:8081</code></p>
</blockquote>
<p><img src="/images/pasted-132.png" alt="upload successful"></p>
<blockquote>
<p>默认提供的用户<br>admin<br>admin123</p>
</blockquote>
<p><img src="/images/pasted-133.png" alt="upload successful"></p>
<h3 id="创建role"><a href="#创建role" class="headerlink" title="创建role"></a>创建role</h3><p>设置——security——roles——addrole——设置roleid，名字以及权限——添加权限nx-all——保存</p>
<p><img src="/images/pasted-134.png" alt="upload successful"></p>
<p><img src="/images/pasted-135.png" alt="upload successful"></p>
<h3 id="创建用户"><a href="#创建用户" class="headerlink" title="创建用户"></a>创建用户</h3><p>设置——security——users——adduser——设置用户名，密码，邮箱，给用户添加role——保存</p>
<p><img src="/images/pasted-136.png" alt="upload successful"></p>
<p><img src="/images/pasted-137.png" alt="upload successful"></p>
<p><img src="/images/pasted-138.png" alt="upload successful"></p>
<h3 id="创建代理仓库maven2-proxy"><a href="#创建代理仓库maven2-proxy" class="headerlink" title="创建代理仓库maven2-proxy"></a>创建代理仓库maven2-proxy</h3><p>Repositories——create repository——maven2-proxy——添加仓库id，以及代理的仓库URL（阿里<a target="_blank" rel="noopener" href="http://maven.aliyun.com/repository/public%EF%BC%89%E2%80%94%E2%80%94%E4%BF%9D%E5%AD%98">http://maven.aliyun.com/repository/public）——保存</a></p>
<p><img src="/images/pasted-139.png" alt="upload successful"></p>
<h3 id="创建本地仓库maven2-hosted"><a href="#创建本地仓库maven2-hosted" class="headerlink" title="创建本地仓库maven2-hosted"></a>创建本地仓库maven2-hosted</h3><p>Repositories——create repository——maven2-hosted——添加仓库id，选择仓库类型为release——保存</p>
<p><img src="/images/pasted-140.png" alt="upload successful"></p>
<h3 id="再次创建maven2-hosted"><a href="#再次创建maven2-hosted" class="headerlink" title="再次创建maven2-hosted"></a>再次创建maven2-hosted</h3><p>Repositories——create repository——maven2-hosted——添加仓库id，选择仓库类型为snapshot——选择运行多测发布同一产品allow redeploy——保存</p>
<p><img src="/images/pasted-141.png" alt="upload successful"></p>
<h3 id="创建仓库组group"><a href="#创建仓库组group" class="headerlink" title="创建仓库组group"></a>创建仓库组group</h3><p>Repositories——create repository——maven2-groups——添加仓库id，添加组中的成员（成员为上面创建的三个仓库）——保存</p>
<p><img src="/images/pasted-142.png" alt="upload successful"></p>
<h3 id="放行防火墙、沙盒"><a href="#放行防火墙、沙盒" class="headerlink" title="放行防火墙、沙盒"></a>放行防火墙、沙盒</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">systemctl stop firewalld</span><br><span class="line">setenforce 0</span><br></pre></td></tr></table></figure>
<h3 id="复制仓库组的URL"><a href="#复制仓库组的URL" class="headerlink" title="复制仓库组的URL"></a>复制仓库组的URL</h3><p><img src="/images/pasted-143.png" alt="upload successful"></p>
<h2 id="部署Maven"><a href="#部署Maven" class="headerlink" title="部署Maven"></a>部署Maven</h2><p>略……</p>
<h3 id="修改配置文件"><a href="#修改配置文件" class="headerlink" title="修改配置文件"></a>修改配置文件</h3><p>取消注释</p>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br></pre></td><td class="code"><pre><span class="line">vi &#x2F;usr&#x2F;local&#x2F;maven&#x2F;conf&#x2F;settings.xml</span><br><span class="line">  &lt;mirrors&gt;</span><br><span class="line"> 	   &lt;mirror&gt;</span><br><span class="line">  	    &lt;id&gt;nexus&lt;&#x2F;id&gt;</span><br><span class="line">  	    &lt;mirrorOf&gt;*&lt;&#x2F;mirrorOf&gt;</span><br><span class="line"> 	     &lt;name&gt;local repository&lt;&#x2F;name&gt;</span><br><span class="line"> 	     &lt;url&gt;http:&#x2F;&#x2F;172.16.1.12:8081&#x2F;repository&#x2F;app-group&#x2F;&lt;&#x2F;url&gt;	</span><br><span class="line">    &lt;&#x2F;mirror&gt;</span><br><span class="line">  &lt;&#x2F;mirrors&gt;</span><br></pre></td></tr></table></figure>
<h3 id="构建项目"><a href="#构建项目" class="headerlink" title="构建项目"></a>构建项目</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">mvn archetype:generate -DgroupId&#x3D;com.test.one -DartifactId&#x3D;one -DarchetypeAritifactId&#x3D;maven-archetype-quickstart -DarchetypeCatalog&#x3D;internal</span><br></pre></td></tr></table></figure>
<h3 id="修改项目中pom文件"><a href="#修改项目中pom文件" class="headerlink" title="修改项目中pom文件"></a>修改项目中pom文件</h3><p>发布测试版数据</p>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br><span class="line">12</span><br><span class="line">13</span><br><span class="line">14</span><br></pre></td><td class="code"><pre><span class="line">vi &#x2F;root&#x2F;one&#x2F;pom.xml</span><br><span class="line">&lt;distributionManagement&gt;</span><br><span class="line">&lt;snapshotRepository&gt;</span><br><span class="line">        &lt;id&gt;snap&lt;&#x2F;id&gt;		</span><br><span class="line">        &lt;name&gt;app-snapshot&lt;&#x2F;name&gt;			&#x2F;&#x2F;仓库名</span><br><span class="line">        &lt;url&gt;http:&#x2F;&#x2F;172.16.1.12:8081&#x2F;repository&#x2F;app-snapshot&#x2F;&lt;&#x2F;url&gt;</span><br><span class="line">&lt;&#x2F;snapshotRepository&gt;</span><br><span class="line"></span><br><span class="line">&lt;repository&gt;</span><br><span class="line">        &lt;id&gt;release&lt;&#x2F;id&gt;</span><br><span class="line">        &lt;name&gt;app-release&lt;&#x2F;name&gt;		&#x2F;&#x2F;仓库名</span><br><span class="line">        &lt;url&gt;http:&#x2F;&#x2F;172.16.1.12:8081&#x2F;repository&#x2F;app-release&#x2F;&lt;&#x2F;url&gt;</span><br><span class="line">&lt;&#x2F;repository&gt;</span><br><span class="line">&lt;&#x2F;distributionManagement&gt;</span><br></pre></td></tr></table></figure>
<p><img src="/images/pasted-145.png" alt="upload successful"></p>
<h3 id="修改主配置文件"><a href="#修改主配置文件" class="headerlink" title="修改主配置文件"></a>修改主配置文件</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br><span class="line">3</span><br><span class="line">4</span><br><span class="line">5</span><br><span class="line">6</span><br><span class="line">7</span><br><span class="line">8</span><br><span class="line">9</span><br><span class="line">10</span><br><span class="line">11</span><br></pre></td><td class="code"><pre><span class="line">vi &#x2F;usr&#x2F;local&#x2F;maven&#x2F;conf&#x2F;settings.xml</span><br><span class="line"> &lt;server&gt;</span><br><span class="line">      &lt;id&gt;snap&lt;&#x2F;id&gt;	&#x2F;&#x2F;与项目pom文件中要上传的仓库对应的id必须一致</span><br><span class="line">      &lt;username&gt;lisi&lt;&#x2F;username&gt;		&#x2F;&#x2F;该用户是在nexus中创建的用户</span><br><span class="line">      &lt;password&gt;123456&lt;&#x2F;password&gt;		&#x2F;&#x2F;用户的密码</span><br><span class="line">    &lt;&#x2F;server&gt;</span><br><span class="line">    &lt;server&gt;</span><br><span class="line">      &lt;id&gt;release&lt;&#x2F;id&gt;	&#x2F;&#x2F;与项目pom文件中要上传的仓库对应的id必须一致</span><br><span class="line">      &lt;username&gt;lisi&lt;&#x2F;username&gt;		&#x2F;&#x2F;该用户是在nexus中创建的用户</span><br><span class="line">      &lt;password&gt;123456&lt;&#x2F;password&gt;</span><br><span class="line">    &lt;&#x2F;server&gt;</span><br></pre></td></tr></table></figure>
<blockquote>
<p>snap：测试版<br>release：发行版</p>
</blockquote>
<h3 id="进入项目目录"><a href="#进入项目目录" class="headerlink" title="进入项目目录"></a>进入项目目录</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">cd &#x2F;root&#x2F;one</span><br><span class="line">mvn deploy	&#x2F;&#x2F;上传</span><br></pre></td></tr></table></figure>
<h2 id="nexus主机"><a href="#nexus主机" class="headerlink" title="nexus主机"></a>nexus主机</h2><h3 id="验证"><a href="#验证" class="headerlink" title="验证"></a>验证</h3><p><img src="/images/pasted-146.png" alt="upload successful"></p>
<p><img src="/images/pasted-147.png" alt="upload successful"></p>
<p><img src="/images/pasted-148.png" alt="upload successful"></p>
<p><img src="/images/pasted-149.png" alt="upload successful"></p>
<h3 id="查看测试版仓库中测试版数据是否发布成功"><a href="#查看测试版仓库中测试版数据是否发布成功" class="headerlink" title="查看测试版仓库中测试版数据是否发布成功"></a>查看测试版仓库中测试版数据是否发布成功</h3><p><img src="/images/pasted-150.png" alt="upload successful"></p>
<p><img src="/images/pasted-151.png" alt="upload successful"></p>
<h2 id="maven主机"><a href="#maven主机" class="headerlink" title="maven主机"></a>maven主机</h2><h3 id="修改项目中pom文件-1"><a href="#修改项目中pom文件-1" class="headerlink" title="修改项目中pom文件"></a>修改项目中pom文件</h3><p>发布发行版数据</p>
<figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br></pre></td><td class="code"><pre><span class="line">vim &#x2F;root&#x2F;one&#x2F;pom.xml</span><br></pre></td></tr></table></figure>
<p><img src="/images/pasted-152.png" alt="upload successful"></p>
<h3 id="进入项目目录-1"><a href="#进入项目目录-1" class="headerlink" title="进入项目目录"></a>进入项目目录</h3><figure class="highlight plain"><table><tr><td class="gutter"><pre><span class="line">1</span><br><span class="line">2</span><br></pre></td><td class="code"><pre><span class="line">cd &#x2F;root&#x2F;one</span><br><span class="line">mvn deploy	&#x2F;&#x2F;上传</span><br></pre></td></tr></table></figure>
<h2 id="nexus主机-1"><a href="#nexus主机-1" class="headerlink" title="nexus主机"></a>nexus主机</h2><h3 id="验证发行版仓库中的发行版数据是否发布成功"><a href="#验证发行版仓库中的发行版数据是否发布成功" class="headerlink" title="验证发行版仓库中的发行版数据是否发布成功"></a>验证发行版仓库中的发行版数据是否发布成功</h3><p><img src="/images/pasted-153.png" alt="upload successful"></p>
<p><img src="/images/pasted-154.png" alt="upload successful"></p>
</article><div class="post-copyright"><div class="post-copyright__author"><span class="post-copyright-meta">文章作者: </span><span class="post-copyright-info"><a href="mailto:undefined">ZuSir</a></span></div><div class="post-copyright__type"><span class="post-copyright-meta">文章链接: </span><span class="post-copyright-info"><a href="http://example.com/2021/02/23/Nexus/">http://example.com/2021/02/23/Nexus/</a></span></div><div class="post-copyright__notice"><span class="post-copyright-meta">版权声明: </span><span class="post-copyright-info">本博客所有文章除特别声明外，均采用 <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" target="_blank">CC BY-NC-SA 4.0</a> 许可协议。转载请注明来自 <a href="http://example.com" target="_blank">SeMaik</a>！</span></div></div><div class="tag_share"><div class="post-meta__tag-list"></div><div class="post_share"><div class="social-share" data-image="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" data-sites="facebook,twitter,wechat,weibo,qq"></div><link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/social-share.js/dist/css/share.min.css" media="print" onload="this.media='all'"><script src="https://cdn.jsdelivr.net/npm/social-share.js/dist/js/social-share.min.js" defer></script></div></div><nav class="pagination-post" id="pagination"><div class="prev-post pull-left"><a href="/2021/02/24/Jenkins/"><img class="prev-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of previous post"><div class="pagination-info"><div class="label">上一篇</div><div class="prev_info">Maven+Jenkins+Gitlab自动化部署</div></div></a></div><div class="next-post pull-right"><a href="/2021/02/23/Maven/"><img class="next-cover" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/img/default.jpg" onerror="onerror=null;src='/img/123.jpeg'" alt="cover of next post"><div class="pagination-info"><div class="label">下一篇</div><div class="next_info">Maven</div></div></a></div></nav></div><div class="aside-content" id="aside-content"><div class="card-widget card-info"><div class="card-info-avatar is-center"><img class="avatar-img" src="/img/123.jpeg" onerror="this.onerror=null;this.src='/img/123.jpeg'" alt="avatar"/><div class="author-info__name">ZuSir</div><div class="author-info__description">一个收藏回忆与分享技术的地方!</div></div><div class="card-info-data"><div class="card-info-data-item is-center"><a href="/archives/"><div class="headline">文章</div><div class="length-num">152</div></a></div><div class="card-info-data-item is-center"><a href="/categories/"><div class="headline">分类</div><div class="length-num">37</div></a></div></div></div><div class="card-widget card-announcement"><div class="item-headline"><i class="fas fa-bullhorn card-announcement-animation"></i><span>公告</span></div><div class="announcement_content">This is my Blog! <img src="https://ss0.bdstatic.com/70cFuHSh_Q1YnxGkpoWK1HF6hhy/it/u=3894415926,2787041726&fm=26&gp=0.jpg"></div></div><div class="sticky_layout"><div class="card-widget" id="card-toc"><div class="item-headline"><i class="fas fa-stream"></i><span>目录</span></div><div class="toc-content"><ol class="toc"><li class="toc-item toc-level-2"><a class="toc-link" href="#Nexus%E4%BB%8B%E7%BB%8D"><span class="toc-number">1.</span> <span class="toc-text">Nexus介绍</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E5%8A%9F%E8%83%BD%E4%BB%8B%E7%BB%8D"><span class="toc-number">2.</span> <span class="toc-text">功能介绍</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E4%BB%93%E5%BA%93%E7%B1%BB%E5%9E%8B%E8%AF%B4%E6%98%8E%E9%BB%98%E8%AE%A4%E4%BB%93%E5%BA%93%E5%88%86%E7%B1%BB"><span class="toc-number">3.</span> <span class="toc-text">仓库类型说明默认仓库分类</span></a></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E4%BD%BF%E7%94%A8%E7%A7%81%E6%9C%89%E4%BB%93%E5%BA%93%E7%9A%84%E4%BC%98%E7%82%B9"><span class="toc-number">4.</span> <span class="toc-text">使用私有仓库的优点</span></a></li></ol></li><li class="toc-item toc-level-1"><a class="toc-link" href="#%E6%9C%8D%E5%8A%A1%E5%99%A8%E4%BF%A1%E6%81%AF"><span class="toc-number"></span> <span class="toc-text">服务器信息</span></a><ol class="toc-child"><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2JDK"><span class="toc-number">1.</span> <span class="toc-text">部署JDK</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%A7%A3%E5%8E%8B%E8%BD%AF%E4%BB%B6%E5%8C%85"><span class="toc-number">1.1.</span> <span class="toc-text">解压软件包</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%85%8D%E7%BD%AE%E7%8E%AF%E5%A2%83%E5%8F%98%E9%87%8F"><span class="toc-number">1.2.</span> <span class="toc-text">配置环境变量</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%8A%A0%E8%BD%BD%E7%8E%AF%E5%A2%83%E5%8F%98%E9%87%8F"><span class="toc-number">1.3.</span> <span class="toc-text">加载环境变量</span></a></li></ol></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2Nexus"><span class="toc-number">2.</span> <span class="toc-text">部署Nexus</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%A7%A3%E5%8E%8B%E8%BD%AF%E4%BB%B6%E5%8C%85-1"><span class="toc-number">2.1.</span> <span class="toc-text">解压软件包</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%85%8D%E7%BD%AE%E6%96%87%E4%BB%B6"><span class="toc-number">2.2.</span> <span class="toc-text">配置文件</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%90%AF%E5%8A%A8%E6%9C%8D%E5%8A%A1"><span class="toc-number">2.3.</span> <span class="toc-text">启动服务</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%88%9B%E5%BB%BArole"><span class="toc-number">2.4.</span> <span class="toc-text">创建role</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E7%94%A8%E6%88%B7"><span class="toc-number">2.5.</span> <span class="toc-text">创建用户</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E4%BB%A3%E7%90%86%E4%BB%93%E5%BA%93maven2-proxy"><span class="toc-number">2.6.</span> <span class="toc-text">创建代理仓库maven2-proxy</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E6%9C%AC%E5%9C%B0%E4%BB%93%E5%BA%93maven2-hosted"><span class="toc-number">2.7.</span> <span class="toc-text">创建本地仓库maven2-hosted</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%86%8D%E6%AC%A1%E5%88%9B%E5%BB%BAmaven2-hosted"><span class="toc-number">2.8.</span> <span class="toc-text">再次创建maven2-hosted</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%88%9B%E5%BB%BA%E4%BB%93%E5%BA%93%E7%BB%84group"><span class="toc-number">2.9.</span> <span class="toc-text">创建仓库组group</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%94%BE%E8%A1%8C%E9%98%B2%E7%81%AB%E5%A2%99%E3%80%81%E6%B2%99%E7%9B%92"><span class="toc-number">2.10.</span> <span class="toc-text">放行防火墙、沙盒</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E5%A4%8D%E5%88%B6%E4%BB%93%E5%BA%93%E7%BB%84%E7%9A%84URL"><span class="toc-number">2.11.</span> <span class="toc-text">复制仓库组的URL</span></a></li></ol></li><li class="toc-item toc-level-2"><a class="toc-link" href="#%E9%83%A8%E7%BD%B2Maven"><span class="toc-number">3.</span> <span class="toc-text">部署Maven</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E4%BF%AE%E6%94%B9%E9%85%8D%E7%BD%AE%E6%96%87%E4%BB%B6"><span class="toc-number">3.1.</span> <span class="toc-text">修改配置文件</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%9E%84%E5%BB%BA%E9%A1%B9%E7%9B%AE"><span class="toc-number">3.2.</span> <span class="toc-text">构建项目</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E4%BF%AE%E6%94%B9%E9%A1%B9%E7%9B%AE%E4%B8%ADpom%E6%96%87%E4%BB%B6"><span class="toc-number">3.3.</span> <span class="toc-text">修改项目中pom文件</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E4%BF%AE%E6%94%B9%E4%B8%BB%E9%85%8D%E7%BD%AE%E6%96%87%E4%BB%B6"><span class="toc-number">3.4.</span> <span class="toc-text">修改主配置文件</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%BF%9B%E5%85%A5%E9%A1%B9%E7%9B%AE%E7%9B%AE%E5%BD%95"><span class="toc-number">3.5.</span> <span class="toc-text">进入项目目录</span></a></li></ol></li><li class="toc-item toc-level-2"><a class="toc-link" href="#nexus%E4%B8%BB%E6%9C%BA"><span class="toc-number">4.</span> <span class="toc-text">nexus主机</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%AA%8C%E8%AF%81"><span class="toc-number">4.1.</span> <span class="toc-text">验证</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E6%9F%A5%E7%9C%8B%E6%B5%8B%E8%AF%95%E7%89%88%E4%BB%93%E5%BA%93%E4%B8%AD%E6%B5%8B%E8%AF%95%E7%89%88%E6%95%B0%E6%8D%AE%E6%98%AF%E5%90%A6%E5%8F%91%E5%B8%83%E6%88%90%E5%8A%9F"><span class="toc-number">4.2.</span> <span class="toc-text">查看测试版仓库中测试版数据是否发布成功</span></a></li></ol></li><li class="toc-item toc-level-2"><a class="toc-link" href="#maven%E4%B8%BB%E6%9C%BA"><span class="toc-number">5.</span> <span class="toc-text">maven主机</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E4%BF%AE%E6%94%B9%E9%A1%B9%E7%9B%AE%E4%B8%ADpom%E6%96%87%E4%BB%B6-1"><span class="toc-number">5.1.</span> <span class="toc-text">修改项目中pom文件</span></a></li><li class="toc-item toc-level-3"><a class="toc-link" href="#%E8%BF%9B%E5%85%A5%E9%A1%B9%E7%9B%AE%E7%9B%AE%E5%BD%95-1"><span class="toc-number">5.2.</span> <span class="toc-text">进入项目目录</span></a></li></ol></li><li class="toc-item toc-level-2"><a class="toc-link" href="#nexus%E4%B8%BB%E6%9C%BA-1"><span class="toc-number">6.</span> <span class="toc-text">nexus主机</span></a><ol class="toc-child"><li class="toc-item toc-level-3"><a class="toc-link" href="#%E9%AA%8C%E8%AF%81%E5%8F%91%E8%A1%8C%E7%89%88%E4%BB%93%E5%BA%93%E4%B8%AD%E7%9A%84%E5%8F%91%E8%A1%8C%E7%89%88%E6%95%B0%E6%8D%AE%E6%98%AF%E5%90%A6%E5%8F%91%E5%B8%83%E6%88%90%E5%8A%9F"><span class="toc-number">6.1.</span> <span class="toc-text">验证发行版仓库中的发行版数据是否发布成功</span></a></li></ol></li></ol></div></div><div class="card-widget card-recent-post"><div class="item-headline"><i class="fas fa-history"></i><span>最新文章</span></div><div class="aside-list"><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Zabbix-Server5-0/" title="Shell程序——部署Zabbix-ServerV5.0">Shell程序——部署Zabbix-ServerV5.0</a><time datetime="2022-02-17T03:32:00.000Z" title="发表于 2022-02-17 11:32:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E9%83%A8%E7%BD%B2Harbor/" title="Shell程序——部署Harbor">Shell程序——部署Harbor</a><time datetime="2022-02-17T03:31:00.000Z" title="发表于 2022-02-17 11:31:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94Mysql%E5%A4%87%E4%BB%BD/" title="Shell程序——Mysql备份">Shell程序——Mysql备份</a><time datetime="2022-02-17T03:30:00.000Z" title="发表于 2022-02-17 11:30:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E6%89%B9%E9%87%8F%E4%BF%9D%E5%AD%98Docker-image/" title="Shell程序——批量保存Docker_image">Shell程序——批量保存Docker_image</a><time datetime="2022-02-17T03:29:00.000Z" title="发表于 2022-02-17 11:29:00">2022-02-17</time></div></div><div class="aside-list-item no-cover"><div class="content"><a class="title" href="/2022/02/17/Shell%E2%80%94%E2%80%94%E5%85%A8%E6%AE%B5IP%E6%89%AB%E6%8F%8F/" title="Shell程序——全段IP扫描">Shell程序——全段IP扫描</a><time datetime="2022-02-17T03:28:00.000Z" title="发表于 2022-02-17 11:28:00">2022-02-17</time></div></div></div></div></div></div></main><footer id="footer"><div id="footer-wrap"><div class="copyright">&copy;2020 - 2022 By ZuSir</div><div class="framework-info"><span>框架 </span><a target="_blank" rel="noopener" href="https://hexo.io">Hexo</a><span class="footer-separator">|</span><span>主题 </span><a target="_blank" rel="noopener" href="https://github.com/jerryc127/hexo-theme-butterfly">Butterfly</a></div></div></footer></div><div id="rightside"><div id="rightside-config-hide"><button id="readmode" type="button" title="阅读模式"><i class="fas fa-book-open"></i></button><button id="hide-aside-btn" type="button" title="单栏和双栏切换"><i class="fas fa-arrows-alt-h"></i></button></div><div id="rightside-config-show"><button id="rightside_config" type="button" title="设置"><i class="fas fa-cog fa-spin"></i></button><button class="close" id="mobile-toc-button" type="button" title="目录"><i class="fas fa-list-ul"></i></button><button id="go-up" type="button" title="回到顶部"><i class="fas fa-arrow-up"></i></button></div></div><div><script src="/js/utils.js"></script><script src="/js/main.js"></script><div class="js-pjax"></div><script defer="defer" id="fluttering_ribbon" mobile="true" src="https://cdn.jsdelivr.net/npm/butterfly-extsrc@1/dist/canvas-fluttering-ribbon.min.js"></script><script async data-pjax src="//busuanzi.ibruce.info/busuanzi/2.3/busuanzi.pure.mini.js"></script></div></body></html>